Bug 858640 - [backup] using pg_dump --column-inserts slows down the restore process
[backup] using pg_dump --column-inserts slows down the restore process
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Hildred
ecs-bugs
infra
:
Depends On:
Blocks: 858643
  Show dependency treegraph
 
Reported: 2012-09-19 05:42 EDT by Tomas Von Veschler
Modified: 2016-02-10 14:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 858643 (view as bug list)
Environment:
Last Closed: 2013-01-01 09:46:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Von Veschler 2012-09-19 05:42:29 EDT
Description of problem:

Using the "--column-inserts" argument for pg_dump, increases the DB restore tens of times compared to not using it. Suggestion is to remove that param by default.

Version-Release number of selected component (if applicable):

rhev 3.0, rhev 3.1

How reproducible:

Always

Steps to Reproduce:
1. Generate a backup of rhevm and rhevm-history DB using pg_dump --column-inserts (check additional info)
2. Restore the backup

  
Actual results:

For big enough databases (10+ Gbs) I've seen the process can take from 30minutes to 2 hours

Expected results:

DB restore finishes in a few minutes, usually in less than a minute.

Additional info:

https://access.redhat.com/knowledge/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/html/Administration_Guide/Administration_Guide-Backing_Up.html#Administration_Guide-BU_Database_BU

And RHEV 3.1 beta backup.sh script
Comment 1 Tim Hildred 2012-09-30 21:45:23 EDT
We'll need to clone this for 3.1 if Alex agrees that this is the way to go. 

Alex, can you comment on whether that parameter should be removed from the backup command?
Comment 2 Tim Hildred 2012-09-30 21:57:43 EDT
Hello Tomas,

Have you also raised this as a bug against the backup.sh script?

It makes more sense to me to start there than trying to get it removed from the documentation first. 

So long as that parameter remains in the backup script we ship and support, I'll leave it in the documentation. If the person who is responsible for that script removes it from the script, I'll remove it from the documentation. 

I'm going to change the component to this bug to ovirt-engine-backend. I've added myself to the cc list so I'll be watching what happens to this bug going forward.

If someone there decides to remove the "--column-inserts" argument for pg_dump in the backup.sh script, then we'll clone the bug back to documentation, and I'll proceed accordingly.
Comment 3 Tomas Von Veschler 2012-10-01 03:10:19 EDT
Hi Tim,

Yes, it's already in 3.1.:

https://bugzilla.redhat.com/show_bug.cgi?id=858643

Change was accepted, has all the flags and a patch was posted.

Note You need to log in before you can comment on or make changes to this bug.